:root{
  --pageLength: 580px;
}

body{
  justify-content: center;
}

header{
  display: flex;
  justify-self: center;
  justify-content: center;
}

main{
  max-width: 1200px;
  display:grid;
  grid-template-columns: 1fr 2fr 1fr;
  margin: auto;
  gap: 50px;
  padding: 0px 20px;
}
#pages-container{
  display: inline-flex; 
  justify-content: center;
}
.page {
  border: 1px solid #00000020;
  border-left: 3px solid coral;
  background-color: rgba(245,245,245);
  display: grid;
  width: 450px;
  height: 580px;
  grid-template-columns: repeat(4, 70px); 
  gap: 8px;
  justify-self: center;
  justify-content: center;
  padding: 65px 10px 45px 10px;
  margin: 10px 0px;
  box-shadow: 5px 5px 5px #00000020;;
}

#pages {
  text-align: center;
  justify-content: center;
  justify-self: center;
  width: fit-content;
  padding: 10px 0px;
  
}

#pages .problem{
  font-family: "Calibri";
  display: grid;
  grid-template-columns: 0.5fr 0.9fr;
  width: 50px;
  height: 80px;
  justify-self: center;
}

.problem p{
  text-align: right;
  padding: 0px;
  margin: 5px;
  height: auto;
}

.problem .bott{
  grid-column: 2;
}

.problem input{
  grid-column: 1 / 3;
}

.top{
  grid-column: 2;

}

.hidden{
  display: none;
}

#right-arrow{
  height: 20px;
  align-self: center;
  justify-self: right;
}

div .line{
  border-top: 1px solid;
  grid-column:  1 / 3;
  padding: 0px;
  margin: 0px;
  height: 1px;
}

#desktop-icons a{
  float: right;
  width: fit-content;
  display:flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

#aim-buddies{
  height: calc(0.7*var(--pageLength));
}

#neocities-icon{
  font-size: 50px;
  text-decoration: none;
}

@media (max-device-width: 480px){
  /* adjust aim buddies, links to home and neocities */
  #aim-container{
    order: 1;
    justify-content: end;
    height: fit-content; 
  }

  #pages-container{
    order: 2;
    max-height: 850px;
    justify-self: center;
    
  }

  #pages{
    max-height: 600px;
    overflow-y: scroll;
    
  }

  main{
  height: 80vh;
  width: 80vw;
  display:grid;
  grid-template-columns: .35fr 1fr;
  grid-template-rows: 1fr .25fr;
  justify-content: center;
  gap: 6px;
  }

  #aim-buddies{
    width: 38vw;
    height: calc(0.65*var(--pageLength)); 
  }
  
  #aim-buddies .window-inner{
    overflow-x: scroll;
  }

  #desktop-icons{
    order: 3;
    grid-column: span 2;
    display: flex;
    flex-direction: row;
    justify-content: end;
  }

  #desktop-icons img{
    width: 50px;
    height: 50px;
  }
  
  #desktop-icons span{
    font-size: 50px;
  }

  .page {
    border: 1px solid #00000020;
    border-left: 3px solid coral;
    display: grid;
    width: fit-content;
    height: fit-content;
    grid-template-columns: repeat(2, 70px); 
    gap: 8px;
    padding: 30px 20px;
  }
  
  .hidden{
    display: none;
  }
  
  #pages {
    text-align: center;
    justify-content: center;
    justify-self: center;
    width: fit-content;
    padding: 10px 0px;
  }
  h1{
    text-align: center;
  }
}